package de.ivu.elect.business.gebietsbaum.control;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public class NoopAWerteAktualisierer implements AWerteAktualisierer {

  @Override
  public boolean isAWerteAktualisieren(Wahldurchfuehrungsgebiet gebiet) {
    return false;
  }

  @Override
  public void aWerteZuruecksetzen(Wahldurchfuehrungsgebiet gebiet) {
    // nichts zu tun
  }

  @Override
  public void aktualisiereAWerteFuerUebergeordneteGebieteVon(@Nullable Wahldurchfuehrungsgebiet erfassungsgebiet) {
    // nichts zu tun
  }
}
